Bug 12595 - Finding a patron witht firstname and surname should display the patron detail
Summary: Finding a patron witht firstname and surname should display the patron detail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 9811
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-17 13:20 UTC by Jonathan Druart
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12595: Search a patron by his/her firstname and surname (2.80 KB, patch)
2014-07-17 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12595: Search a patron by his/her firstname and surname (2.85 KB, patch)
2014-07-17 14:09 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[PASSED QA] Bug 12595: Search a patron by his/her firstname and surname (2.92 KB, patch)
2014-07-18 12:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12595: (regression tests) (5.40 KB, patch)
2014-07-18 15:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12595: (regression tests) (5.63 KB, patch)
2014-07-18 15:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12595: (regression tests) (5.63 KB, patch)
2014-07-18 15:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12595: (regression tests) (5.70 KB, patch)
2014-07-18 15:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-07-17 13:20:58 UTC
Before bug 9811, if you searched for "John Doe" and only 1 patron with this firstname/surname existed, the patron detail page was displayed.

Now the result lists all patrons with ( firstname=john or doe ) or ( surname=john or doe). Which is quite annoying when you expect only 1 result.
Comment 1 Jonathan Druart 2014-07-17 13:26:42 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2014-07-17 14:09:33 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-07-18 12:08:57 UTC
Created attachment 29825 [details] [review]
[PASSED QA] Bug 12595: Search a patron by his/her firstname and surname

Before bug 9811, if you searched for "John Doe" and only 1 patron with
this firstname/surname existed, the patron detail page was displayed.

Now the result lists all patrons with ( firstname=john or doe ) or (
surname=john or doe). Which is quite annoying when you expect only 1
result.

Test plan:
0/ Create some patrons like: "John Doe", "Jane Doe", "John Smith".
1/ Search for "John Doe" in the patron search box
2/ Verify you got 2 results
3/ Apply the patch
4/ Search for "John Doe" in the patron search box
5/ Verify you are redirected to the right patron detail page.

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2014-07-18 15:05:57 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2014-07-18 15:21:36 UTC Comment hidden (obsolete)
Comment 6 Tomás Cohen Arazi 2014-07-18 15:31:20 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-07-18 15:35:15 UTC
Created attachment 29858 [details] [review]
Bug 12595: (regression tests)

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2014-07-18 15:52:49 UTC
Patch pushed to master.

Thanks Jonathan!